package dicegame;

/**
 *
 * @author Lefteris Moussiades
 */
public class DiceGame {

    public static void oneGame(FairDicePlayer p1, FairDicePlayer p2) {
        int tS1 = 0, tS2 = 0;
        for (int i = 0; i < 2; i++) {
            int s1 = p1.roll();
            int s2 = p2.roll();
            if (s1 > s2) {
                tS1 += s1;
            } else if (s2 > s1) {
                tS2 += s2;
            }
        }
        if (tS1 > tS2) {
            System.out.println("player " + p1.getsName()
                    + " won player " + p2.getsName());
        } else if (tS2 > tS1) {
            System.out.println("player " + p2.getsName()
                    + " won player " + p1.getsName());
        } else {
            System.out.println("Withdraw!");
        }
    }

    public static void oneGame(Two6DicePlayer p1, Two6DicePlayer p2) {
        int tS1 = 0, tS2 = 0;
        for (int i = 0; i < 2; i++) {
            int s1 = p1.roll();
            int s2 = p2.roll();
            if (s1 > s2) {
                tS1 += s1;
            } else if (s2 > s1) {
                tS2 += s2;
            }
        }
        if (tS1 > tS2) {
            System.out.println("player " + p1.getsName()
                    + " won player " + p2.getsName());
        } else if (tS2 > tS1) {
            System.out.println("player " + p2.getsName()
                    + " won player " + p1.getsName());
        } else {
            System.out.println("Withdraw!");
        }
    }

    public static void FairGame() {
        FairDicePlayer[] group = new FairDicePlayer[4];
        group[0] = new FairDicePlayer("Black", "Pit");
        group[1] = new FairDicePlayer("Jim", "Blue");
        group[2] = new FairDicePlayer("Nick", "Green");
        group[3] = new FairDicePlayer("Jack", "Red");
        for (int i = 0; i < group.length - 1; i++) {
            for (int j = i + 1; j < group.length; j++) {
                oneGame(group[i], group[j]);
            }
        }
    }

    public static void Two6Game() {
        Two6DicePlayer[] group = new Two6DicePlayer[4];
        group[0] = new Two6DicePlayer("Black", "Pit");
        group[1] = new Two6DicePlayer("Jim", "Blue");
        group[2] = new Two6DicePlayer("Nick", "Green");
        group[3] = new Two6DicePlayer("Jack", "Red");
        for (int i = 0; i < group.length - 1; i++) {
            for (int j = i + 1; j < group.length; j++) {
                oneGame(group[i], group[j]);
            }
        }
    }
    
    public static void main(String[] args) {
        //FairGame();
        Two6Game();

    }

}
